#ifndef __TPS2HCSXX_CONFIG_H__
#define __TPS2HCSXX_CONFIG_H__

#include <stdint.h>
#include <tps_hcsdev.h>

typedef struct TPS2HCSXXQ1_CONFIG
{
    TPS2HCSXX_CRC_CONFIG_OBJ        crcConfig;
    TPS2HCSXX_LPM_OBJ               lpmConfig;
    TPS2HCSXX_FAULT_MASK_OBJ        faultMaskConfig;
    TPS2HCSXX_SW_STATE_OBJ          swState;
    TPS2HCSXX_DEV_CONFIG_OBJ        devConfig;
    TPS2HCSXX_ADC_CONFIG_OBJ        adcConfig;
    TPS2HCSXX_PWM_CH1_OBJ           pwmCh1Config;
    TPS2HCSXX_ILIM_CONFIG_CH1_OBJ   ilimCh1Config;
    TPS2HCSXX_CH1_CONFIG_OBJ        diagConfigCh1;
    TPS2HCSXX_I2T_CONFIG_CH1_OBJ    i2tConfigCh1;
    TPS2HCSXX_PWM_CH2_OBJ           pwmCh2Config;
    TPS2HCSXX_ILIM_CONFIG_CH2_OBJ   ilimCh2Config;
    TPS2HCSXX_CH2_CONFIG_OBJ        diagConfigCh2;
    TPS2HCSXX_I2T_CONFIG_CH2_OBJ    i2tConfigCh2;
 } TPS2HCSXXQ1_CONFIG;

extern TPS2HCSXXQ1_CONFIG exportConfig;

#endif
