#include "tps2hcsxx_config.h"

TPS2HCSXXQ1_CONFIG exportConfig =
{
    .crcConfig =
    {
        .reg = TPS2HCSXX_CRC_CONFIG_REG,
        .value.word = 0x0000
    },
    .lpmConfig =
    {
        .reg = TPS2HCSXX_LPM_REG,
        .value.word = 0xFF80
    },
    .faultMaskConfig =
    {
        .reg = TPS2HCSXX_FAULT_MASK_REG,
        .value.word = 0xFF80
    },
    .swState =
    {
        .reg = TPS2HCSXX_SW_STATE_REG,
        .value.word = 0xFFFC
    },
    .devConfig =
    {
        .reg = TPS2HCSXX_DEV_CONFIG_REG,
        .value.word = 0xF800
    },
    .adcConfig =
    {
        .reg = TPS2HCSXX_ADC_CONFIG_REG,
        .value.word = 0xFF3A
    },
    .pwmCh1Config =
    {
        .reg = TPS2HCSXX_PWM_CH1_REG,
        .value.word = 0xF000
    },
    .ilimCh1Config =
    {
        .reg = TPS2HCSXX_ILIM_CONFIG_CH1_REG,
        .value.word = 0x0088
    },
    .diagConfigCh1 =
    {
        .reg = TPS2HCSXX_CH1_CONFIG_REG,
        .value.word = 0xC002
    },
    .i2tConfigCh1 =
    {
        .reg = TPS2HCSXX_I2T_CONFIG_CH1_REG,
        .value.word = 0x0000
    },
    .pwmCh2Config =
    {
        .reg = TPS2HCSXX_PWM_CH2_REG,
        .value.word = 0xF000
    },
    .ilimCh2Config =
    {
        .reg = TPS2HCSXX_ILIM_CONFIG_CH2_REG,
        .value.word = 0x0088
    },
    .diagConfigCh2 =
    {
        .reg = TPS2HCSXX_CH2_CONFIG_REG,
        .value.word = 0xC002
    },
    .i2tConfigCh2 =
    {
        .reg = TPS2HCSXX_I2T_CONFIG_CH2_REG,
        .value.word = 0x0000
    }
};

